How do I terminate "phantom sessions"?

I use JupyterLab 4.0.9-1 on Manjaro.

Whenever I open JupyterLab, I get the following warning:

[json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2] : There is another collaborative session accessing the same file.
The synchronization between rooms is not supported and you might lose some of your changes.

The only problem about this is that there is no other session. I’m running JupyterLab offline, I have no listed collaborators, and I started precisely one instance of JupyterLab right after starting my computer.

Restarting JupyterLab and my computer did not help. Neither did re-installing JupyterLab.

So how do I close this mysterious “other collaborative session”?

Here is the more lengthy output I get in the console:

[I 2023-12-15 20:10:50.698 LabApp] Build is up to date
[I 2023-12-15 20:11:22.075 ServerApp] Request for Y document 'notebook.ipynb' with room ID: b1b0c55e-87cb-449f-80f9-f9c80a671bb2
[I 2023-12-15 20:11:22.185 YDocExtension] Creating FileLoader for: notebook.ipynb
[E 2023-12-15 20:11:22.185 ServerApp] Uncaught exception GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
[E 2023-12-15 20:11:22.186 ServerApp] Uncaught exception in write_error
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1294, in send_error
        self.write_error(status_code, **kwargs)
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 718, in write_error
        html = self.render_template("%s.html" % status_code, **ns)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 644, in render_template
        ns.update(self.template_namespace)
                  ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 654, in template_namespace
        logged_in=self.logged_in,
                  ^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 196, in logged_in
        user = self.current_user
               ^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1420, in current_user
        self._current_user = self.get_current_user()
                             ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 175, in get_current_user
        raise RuntimeError(msg)
    RuntimeError: Calling `YDocWebSocketHandler.get_current_user()` directly is deprecated in jupyter-server 2.0. Use `self.current_user` instead (works in all versions).
[E 2023-12-15 20:11:22.187 ServerApp] {
      "Host": "localhost:8888",
      "Accept": "*/*",
      "User-Agent": "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0"
    }
[E 2023-12-15 20:11:22.187 ServerApp] 500 GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (@127.0.0.1) 2.59ms referer=None
[I 2023-12-15 20:11:22.188 YDocExtension] Watching file: notebook.ipynb
[E 2023-12-15 20:11:22.528 ServerApp] Uncaught exception GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
[E 2023-12-15 20:11:22.529 ServerApp] Uncaught exception in write_error
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1294, in send_error
        self.write_error(status_code, **kwargs)
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 718, in write_error
        html = self.render_template("%s.html" % status_code, **ns)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 644, in render_template
        ns.update(self.template_namespace)
                  ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 654, in template_namespace
        logged_in=self.logged_in,
                  ^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 196, in logged_in
        user = self.current_user
               ^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1420, in current_user
        self._current_user = self.get_current_user()
                             ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 175, in get_current_user
        raise RuntimeError(msg)
    RuntimeError: Calling `YDocWebSocketHandler.get_current_user()` directly is deprecated in jupyter-server 2.0. Use `self.current_user` instead (works in all versions).
[E 2023-12-15 20:11:22.531 ServerApp] {
      "Host": "localhost:8888",
      "Accept": "*/*",
      "User-Agent": "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0"
    }
[E 2023-12-15 20:11:22.531 ServerApp] 500 GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (@127.0.0.1) 5.26ms referer=None
[E 2023-12-15 20:11:23.039 ServerApp] Uncaught exception GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
[E 2023-12-15 20:11:23.040 ServerApp] Uncaught exception in write_error
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1294, in send_error
        self.write_error(status_code, **kwargs)
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 718, in write_error
        html = self.render_template("%s.html" % status_code, **ns)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 644, in render_template
        ns.update(self.template_namespace)
                  ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 654, in template_namespace
        logged_in=self.logged_in,
                  ^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 196, in logged_in
        user = self.current_user
               ^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1420, in current_user
        self._current_user = self.get_current_user()
                             ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 175, in get_current_user
        raise RuntimeError(msg)
    RuntimeError: Calling `YDocWebSocketHandler.get_current_user()` directly is deprecated in jupyter-server 2.0. Use `self.current_user` instead (works in all versions).
[E 2023-12-15 20:11:23.041 ServerApp] {
      "Host": "localhost:8888",
      "Accept": "*/*",
      "User-Agent": "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0"
    }
[E 2023-12-15 20:11:23.042 ServerApp] 500 GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (@127.0.0.1) 3.72ms referer=None
[E 2023-12-15 20:11:23.854 ServerApp] Uncaught exception GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
[E 2023-12-15 20:11:23.855 ServerApp] Uncaught exception in write_error
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1294, in send_error
        self.write_error(status_code, **kwargs)
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 718, in write_error
        html = self.render_template("%s.html" % status_code, **ns)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 644, in render_template
        ns.update(self.template_namespace)
                  ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 654, in template_namespace
        logged_in=self.logged_in,
                  ^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 196, in logged_in
        user = self.current_user
               ^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1420, in current_user
        self._current_user = self.get_current_user()
                             ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 175, in get_current_user
        raise RuntimeError(msg)
    RuntimeError: Calling `YDocWebSocketHandler.get_current_user()` directly is deprecated in jupyter-server 2.0. Use `self.current_user` instead (works in all versions).
[E 2023-12-15 20:11:23.857 ServerApp] {
      "Host": "localhost:8888",
      "Accept": "*/*",
      "User-Agent": "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0"
    }
[E 2023-12-15 20:11:23.857 ServerApp] 500 GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (@127.0.0.1) 5.00ms referer=None
[E 2023-12-15 20:11:25.469 ServerApp] Uncaught exception GET /api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd (127.0.0.1)
    HTTPServerRequest(protocol='http', host='localhost:8888', method='GET', uri='/api/collaboration/room/json:notebook:b1b0c55e-87cb-449f-80f9-f9c80a671bb2?sessionId=88417303-96e5-463b-bdf5-f67c63c51ccd', version='HTTP/1.1', remote_ip='127.0.0.1')
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
[E 2023-12-15 20:11:25.470 ServerApp] Uncaught exception in write_error
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1765, in _execute
        result = await result  # type: ignore
                 ^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/handlers.py", line 91, in prepare
        self.room = DocumentRoom(
                    ^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_collaboration/rooms.py", line 42, in __init__
        self._document = YDOCS.get(self._file_type, YFILE)(self.ydoc)
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ynotebook.py", line 57, in __init__
        super().__init__(ydoc)
      File "/usr/lib/python3.11/site-packages/jupyter_ydoc/ybasedoc.py", line 29, in __init__
        self._ydoc["state"] = self._ystate = Map()
        ~~~~~~~~~~^^^^^^^^^
    TypeError: 'builtins.YDoc' object does not support item assignment
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1294, in send_error
        self.write_error(status_code, **kwargs)
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 718, in write_error
        html = self.render_template("%s.html" % status_code, **ns)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 644, in render_template
        ns.update(self.template_namespace)
                  ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 654, in template_namespace
        logged_in=self.logged_in,
                  ^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 196, in logged_in
        user = self.current_user
               ^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/tornado/web.py", line 1420, in current_user
        self._current_user = self.get_current_user()
                             ^^^^^^^^^^^^^^^^^^^^^^^
      File "/usr/lib/python3.11/site-packages/jupyter_server/base/handlers.py", line 175, in get_current_user
        raise RuntimeError(msg)
    RuntimeError: Calling `YDocWebSocketHandler.get_current_user()` directly is deprecated in jupyter-server 2.0. Use `self.current_user` instead (works in all versions).
[E 2023-12-15 20:11:25.471 ServerApp] {
      "Host": "localhost:8888",
      "Accept": "*/*",
      "User-Agent": "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0"
    }

Edit: I just checked and the problem persists when I use Notebook.

Thanks in advance!

The new update of jupyter-collaboration seemed to have taken care of it.